Run of lintian-fixes for jline2

Try this locally (using the lintian-brush package):

debcheckout jline2
cd jline2
lintian-brush --exclude=upstream-metadata-file

Merge these changes:

git pull https://janitor.debian.net/git/jline2 lintian-fixes/main

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index d538f57..0116430 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+jline2 (2.14.6-4) UNRELEASED; urgency=low
+
+  * Bump debhelper from old 11 to 12.
+  * Set debhelper-compat version in Build-Depends.
+  * Update standards version to 4.5.0, no changes needed.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Fri, 05 Jun 2020 16:05:54 -0000
+
 jline2 (2.14.6-3) unstable; urgency=medium
 
   * Team upload.
diff --git a/debian/compat b/debian/compat
deleted file mode 100644
index b4de394..0000000
--- a/debian/compat
+++ /dev/null
@@ -1 +0,0 @@
-11
diff --git a/debian/control b/debian/control
index c191451..8162a23 100644
--- a/debian/control
+++ b/debian/control
@@ -4,7 +4,7 @@ Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  default-jdk,
  maven-debian-helper (>= 1.6.5),
  javahelper (>= 0.43)
@@ -12,7 +12,7 @@ Build-Depends-Indep:
  libeasymock-java,
  libjansi-java (>= 1.12),
  junit4
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/java-team/jline2.git
 Vcs-Browser: https://salsa.debian.org/java-team/jline2
 Homepage: https://github.com/jline/jline2

Full worker log Full build log